CLDAP_SETRETRYINFO(3)

NAME
cldap_setretryinfo - Set Connectionless LDAP Request Retransmission Parameters

SYNOPSIS
#include <lber.h>
#include <ldap.h>

void cldap_setretryinfo(ld, tries, timeout)
LDAP *ld;
int tries;
int timeout;

DESCRIPTION

The cldap_setretryinfo() routine is used to set the CLDAP request retransmission behavior for future cldap_search_s(3) calls.

cldap_setretryinfo() takes ld, the LDAP pointer returned from a previous call to cldap_open(3), tries, the maximum number of times to send a request, and timeout, the initial time, in seconds, to wait before re-sending a request. The default values (set by cldap_open(3)) are 4 tries and 3 seconds between tries. See cldap_search_s(3) for a complete description of the retransmission algorithm used.

SEE ALSO
ldap(3), cldap_open(3), cldap_search_s(3), cldap_close(3)